<div class="auth-form-wrapper">
  <mat-card class="auth-form">
    <mat-card-header>
      <mat-card-title>
        <h3>Reset Password</h3>
      </mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <form [formGroup]="form" (ngSubmit)="onSubmit()">
        <div class="server-error">
          <p *ngIf="sendResetEmailSuccess$ | async as success" class="success">
            {{ success }}
          </p>
          <mat-error *ngIf="sendResetEmailError$ | async as error">{{
            error
          }}</mat-error>
        </div>
        <mat-form-field class="full-width" appearance="outline">
          <mat-label>Email</mat-label>
          <input
            [readonly]="(sendResetEmailSuccess$ | async) !== ''"
            matInput
            type="email"
            formControlName="email"
          />
          <mat-error *ngIf="email?.errors">
            <span *ngIf="email?.errors?.required || email?.errors?.email">
              Enter a valid email address
            </span>
            <span *ngIf="email?.errors?.serverError">
              {{ email?.errors?.serverError }}
            </span>
          </mat-error>
        </mat-form-field>
        <gt-loading-button
          class="full-width"
          buttonText="Send Reset Password Email"
          [fullWidth]="true"
          [loading]="(sendResetEmailLoading$ | async) === true"
          [disabled]="(sendResetEmailSuccess$ | async) !== ''"
          id="submit"
        >
        </gt-loading-button>
        <button
          *ngIf="(sendResetEmailSuccess$ | async) !== ''"
          (click)="reset()"
          mat-stroked-button
          color="primary"
          class="reset full-width"
          type="button"
          id="reset"
        >
          Reset
        </button>
      </form>
      <div class="sign-up">
        <p class="mat-body-1">
          <a routerLink="/login">Log in</a>
        </p>
        <p *ngIf="enableUserRegistration$ | async" class="mat-body-1">
          <a routerLink="/register">Register</a>
        </p>
      </div>
    </mat-card-content>
  </mat-card>
</div>
